Xojo minimum requirements

  1. 4 weeks ago

    Richard N

    Oct 22 Pre-Release Testers

    I notice that on the Xojo download page requirements section, Yosemite and El Capitan are listed but Catalina is not.

    Catalina should be listed and Yosemite and El Cap should be deleted - Xojo does not work with <10.12 macOS.

    I am sorry to say that I am stuck right now unable to update my clients. I've had to do a lot of work on some apps to move to r2 in order to build for Catalina - but now dragging is broken in 10.10 and 10.11.

    Xojo, I need a quick fix. Do I wait or do I ship?

  2. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside

    Welcome to the problems many of us mentioned on the beta list where you need to use the older versions to work for older macOS and Windows versions and newer versions to work on newer versions

    Its a mess

  3. Emile S

    Oct 22 Europe (France, Strasbourg)

    @RichardNicolella Xojo does not work with <10.12 macOS.

    Is this an official statement ?

  4. Emile S

    Oct 22 Europe (France, Strasbourg)

    Catalina was added…

  5. Martin T

    Oct 22 Pre-Release Testers Germany

    There should also be a note that users of macOS 10.15 Catalina should not use Xojo versions < 2019.02 anymore.

  6. Richard N

    Oct 22 Pre-Release Testers

    @Emile S Is this an official statement ?

    It's not official because I don't work for Xojo. It's just fact because any dragging in the IDE or built apps will crash in macOS < Sierra.

  7. Richard N

    Oct 22 Pre-Release Testers

    @MartinTrippensee There should also be a note that users of macOS 10.15 Catalina should not use Xojo versions < 2019.02 anymore.

    This is certainly true if your apps use SelectColor()

  8. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside

    @MartinTrippensee There should also be a note that users of macOS 10.15 Catalina should not use Xojo versions < 2019.02 anymore.

    Why ?
    There are a handful of things that older versions do that cause issues and they can be worked around or replaced reasonably easily

  9. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside

    @RichardNicolella This is certainly true if your apps use SelectColor()

    MBS has a simple replacement

  10. Martin T

    Oct 22 Pre-Release Testers Germany

    @Norman P Why ?
    There are a handful of things that older versions do that cause issues and they can be worked around or replaced reasonably easily

    Code Profiler doesn't work anymore, Xojo crashes when calling the Color Picker twice and there are still problems with FolderItems.

  11. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside
    Edited 4 weeks ago

    I honestly cannot imagine what would cause the profiler to not work since its all written in Xojo code

    The color picker and few fodleritem issues are all things that can be worked around
    Replace the color picker & select color with the MBS one

    The only folderitem issue I know of relates to temporary folder
    Again that can be worked around and you can keep using older versions and still compiling a version of you code that actually will work on 10.10 to 10.15 (see the original post on this thread)

    For my uses I may not care as I'm busy investigating rewriting a brand new app, literally < 6 months old, in Java :)

  12. Sam R

    Oct 22 Pre-Release Testers, Xojo Pro, Third Party Store Hengchun, Pingtung, Taiwan

    Personally am still working on a solution for the temporary folder issue; I had thought I’d solved it using NSTemporaryDirectory, except that I have two users where NSTemporaryDirectory returns a location that is un writeable on Catalina.

    So I’m investigating other solutions in the mean time.

    @Norman P For my uses I may not care as I'm busy investigating rewriting a brand new app, literally < 6 months old, in Java :)

    Java? I thought Java on the macOS had been deprecated.

  13. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside
    Edited 4 weeks ago

    who said anything about this being on macOS ?
    I might write code on a mac but the end target for this is likely to be linux based so ...
    While I'd like to NOT be doing this and stay using Xojo for the project I need to explore options

  14. Richard N

    Oct 22 Pre-Release Testers

    @Norman P MBS has a simple replacement

    I might be wrong but I don’t think NSColorPanelMBS can work modally like SelectColor does.

  15. Bob K

    Oct 22 Pre-Release Testers, Xojo Pro, Third Party Store Kansas City

    @RichardNicolella I might be wrong but I don’t think NSColorPanelMBS can work modally like SelectColor does.

    True, it does not. But you can reasonably have it work like one.

  16. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside

    @RichardNicolella I might be wrong but I don’t think NSColorPanelMBS can work modally like SelectColor does.

    It doesnt but its not hard to use and works quite reliably in 2019r1.1 from 10.10 to 10.15
    It scratches one itch

  17. Richard N

    Oct 22 Pre-Release Testers

    Why doesn’t Xojo just patch these things and put out an update so their product works with the promised OS list?

  18. Norman P

    Oct 22 Pre-Release Testers, Xojo Pro Outside

    Application patching would break the signatures
    So its unlikely they would patch one
    Plus since 2019r2 is out its unlikely they would patch 2019r1.1 - they've never updated an older version once a new one is out
    But, since 2019r2 has issues what they _might_ patch it 2019r2 and ship a 2019r2.1
    That would fix some issues - like the drag and drop one you're experiencing
    But it would still leave some others, like tho who use older versions to support customer on older macOS and Windows versions, in a pickle because of all the event renaming and other changes
    2019r2 really cause a lot of problems for some

    So much so that in some case the solution has been to just quit using Xojo and move on to other tool sets

or Sign Up to reply!